import es, random, cfglib

config = cfglib.AddonCFG(es.getAddonPath('headbuff') + "/headbuff.cfg")

config.text(' _   _                _______        __  __ ')
config.text('| | | |              | | ___ \      / _|/ _|')
config.text('| |_| | ___  __ _  __| | |_/ /_   _| |_| |_ ')
config.text('|  _  |/ _ \/ _` |/ _` | ___ \ | | |  _|  _|')
config.text('| | | |  __/ (_| | (_| | |_/ / |_| | | | |  ')
config.text('\_| |_/\___|\__,_|\__,_\____/ \__,_|_| |_|  ')
config.text(' ')
config.text('1 = enabled, 0 = disabled')
headbuff_enabled	= config.cvar('headbuff_enabled',	1, 'Enable/disable HeadBuff')
msg_enabled			= config.cvar('msg_enabled',		1, 'Enable/disable the message sent when a player gets a buff')
health_buff			= config.cvar('health_buff',		1, 'Enable/disable the health buff')
armor_buff			= config.cvar('armor_buff',			1, 'Enable/disable the armor buff')
ammo_buff			= config.cvar('ammo_buff',			1, 'Enable/disable the ammo buff')
speed_buff			= config.cvar('speed_buff',			1, 'Enable/disable the speed buff')
gravity_buff		= config.cvar('gravity_buff',		1, 'Enable/disable the gravity buff')

config.text(' ')

health_ammount		= config.cvar('health_ammount',		30, 'How much health should be given by the health buff?')
armor_ammount		= config.cvar('armor_ammount',		30, 'How much armor should be given by the armor buff?')
ammo_ammount		= config.cvar('ammo_ammount',		50, 'How much ammo should be given by the ammo buff?')
speed_ammount		= config.cvar('speed_ammount',		2.0, 'Which speed should be given by the speed buff?')
gravity_ammount		= config.cvar('gravity_ammount',	0.5, 'Which gravity should be given by the gravity buff?')

config.write()

info = es.AddonInfo()
info.name			= 'HeadBuff'
info.version		= '1.0'
info.author			= 'Fault aka Immortal, Steam - Faultx'
info.basename		= 'headbuff'
info.description	= 'If a player gets a headshot, he is rewarded with a random buff'

es.ServerVar(info.basename, info.version, info.description).makepublic()

def load():
	config.execute()

def player_death(event_var):
	if headbuff_enabled:
		if event_var['attacker'] and int(event_var['headshot']):
			global att, wea
			att = event_var['attacker']
			wea = event_var['weapon']
			if msg_enabled:
				global attn
				attn = es.getplayername(att)
			x = random.randint(1, 5)
			randombuff(x)

def player_spawn(ev):
	es.server.cmd('est_setgravity ' + ev['userid'] + ' 1')
	es.server.cmd('est_speed ' + ev['userid'] + ' 1')
			
def randombuff(x):
	if x == 1:
		if health_buff:
			es.server.cmd('est_healthadd ' + att + ' ' + health_ammount)
			if msg_enabled:
				es.msg('#multi', '#green HeadBuff: #lightgreen ' + attn + ' #default has gotten ' + health_ammount + ' more health for making a headshot')
		else:
			x = random.randint(1,5)
			randombuff(x)
	elif x == 2:
		if armor_buff:
			es.server.cmd('est_armoradd ' + att + ' ' + armor_ammount)
			if msg_enabled:
				es.msg('#multi', '#green HeadBuff: #lightgreen ' + attn + ' #default has gotten ' + armor_ammount +' more armor for making a headshot')
		else:
			x = random.randint(1,5)
			randombuff(x)
	elif x == 3:
		if ammo_buff:
			es.server.cmd('est_setammo ' + att + ' ' + wea + ' ' + ammo_ammount)
			if msg_enabled:
				es.msg('#multi', '#green HeadBuff: #lightgreen ' + attn + ' #default has gotten ' + ammo_ammount +' more ammo for making a headshot')
		else:
			x = random.randint(1,5)
			randombuff(x)
	elif x == 4:
		if speed_buff:
			es.server.cmd('est_speed ' + att + ' ' + speed_ammount)
			if msg_enabled:
				es.msg('#multi', '#green HeadBuff: #lightgreen ' + attn + ' #default has gotten a speed bonus for making a headshot')
		else:
			x = random.randint(1,5)
			randombuff(x)
	elif x == 5:
		if gravity_buff:
			es.server.cmd('est_setgravity ' + att + ' ' + gravity_ammount)
			if msg_enabled:
				es.msg('#multi', '#green HeadBuff: #lightgreen ' + attn + ' #default has gotten a gravity bonus for making a headshot')
		else:
			x = random.randint(1,5)
			randombuff(x)